Subject: RE: [PATCH] asix: new device id

From: "allan" <[email-masked]>
Date: Tue, 20 Dec 2011 08:41:32 +0800

Dear David,

ASUS's USB to Ethernet adapter (delivered with Zenbook) implemented ASIX's latest USB 2.0 to Fast Ethernet solution, AX88772B inside. ASUS hopes to enable the WOL function on Windows system by default so we assigned a new VID/PID (0B95h/7E2Bh) to meet their requirement. 

For Linux native driver, you can easily add the new VID/PID (0B95h/7E2Bh) to work as the AX88772B (with default VID/PID, 0B95h/772Bh). Please feel free to let us know if you have any problems or need more information. Thanks a lot for your great helps.

---
Best regards,
Allan Chou
Technical Support Division
ASIX Electronics Corporation
TEL: 886-3-5799500 ext.228
FAX: 886-3-5799558
E-mail: [email-masked] 
http://www.asix.com.tw/ 

-----Original Message-----
From: Grant Grundler [mailto:[email-masked]] 
Sent: Tuesday, December 20, 2011 5:23 AM
To: David Miller
Cc: [email-masked]; [email-masked]; Allan Chou; Freddy Xin
Subject: Re: [PATCH] asix: new device id

On Mon, Dec 19, 2011 at 1:00 PM, David Miller <[email-masked]> wrote:
> From: Aurelien Jacobs <[email-masked]>
> Date: Fri, 16 Dec 2011 21:49:22 +0100
>
>> Adds the device id needed for the USB Ethernet Adapter delivered by
>> ASUS with their Zenbook.
>>
>> Signed-off-by: Aurelien Jacobs <[email-masked]>
>
> Grant, ACK/NACK?

Dave,
I'm totally ok with it if Aurelien is confident it "works" (well enough).

I'm really the wrong guy to ask though. I don't have the device
and I'm not associated with the mfg.

The right people to ask (CC'd) are Allan Chou and Freddy Xin (both from ASIX).

cheers!
grant